declare global {
    interface Window {
        MSStream: MSStreamType;
    }
}
interface UART {
    debug: number;
    flowControl: boolean;
    log: (level: number, s: string) => void;
    writeProgress: (charsSent?: any, charsTotal?: any) => void;
    connect: typeof connect;
    write: typeof write;
    eval: typeof evaluate;
    setTime: (cb: Function) => void;
    isConnected: () => boolean;
    getConnection: () => any;
    close: () => void;
    modal: (callback: Function) => void;
}
interface MSStreamType {
    type: string;
    msClose(): void;
    msDetachStream(): any;
}
declare function connect(callback: Function): any;
declare function write(data: string, callback?: Function, callbackNewline?: boolean): void;
declare function evaluate(expr: string, cb: Function, isClosing?: boolean): "failed" | undefined;
declare var uart: UART;
export { uart };
